# GPUSSAOSettings(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``GPUSSAOSettings`(bpy_struct)

  Settings for GPU based screen space ambient occlusion

  `attenuation`

    Attenuation constant

    Type: | float in [1, 100000], default 0.0

  `color`

    Color for screen space ambient occlusion effect

    Type: | float array of 3 items in [0, 1], default (0.0, 0.0, 0.0)

  `distance_max`

    Distance of object that contribute to the SSAO effect

    Type: | float in [0, 100000], default 0.0

  `factor`

    Strength of the SSAO effect

    Type: | float in [0, 250], default 0.0

  `samples`

    Number of samples

    Type: | int in [1, 500], default 0

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`GPUFXSettings.ssao` |